Subject: Re: bug#31027: 27.0.50; xref, tags-location-ring equivalent

From: Dmitry Gutov <[email-masked]>
Date: Wed, 4 Apr 2018 21:57:49 +0300

On 4/4/18 9:37 PM, Charles A. Roelli wrote:

>> What about 'M-x previous error'? Or 'C-u - M-x next-error', to mirror
>> your example.
> 
> That's useful, but also different in nature and scope to a global
> ring, which would not use a local variable (`next-error-function') to

Whether next-error-function is going to be local or not, is subject to 
discussion, see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=20489 and 
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30674.

> navigate to other "errors".  An "xref-location-ring" would be simpler.

What's simpler about that? You'd need some new commands to use it as 
well, right?

 > By the way, I didn't know previous-error/next-error worked with xref.
 > Is that documented in the manual?

Not sure.